Skip Menu |
 

This queue is for tickets about the LWP-Protocol-https CPAN distribution.

Report information
The Basics
Id: 83004
Status: resolved
Priority: 0/
Queue: LWP-Protocol-https

People
Owner: Nobody in particular
Requestors: victor [...] vsespb.ru
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 6.03
Fixed in: (no value)



Subject: Dependency not mentioned in META
Download (untitled) / with headers
text/plain 749b
Reproduce: On clean CentOS 5.x (which is supported till Y2017 btw): install perl-Net-SSLeay OS package. then cpan -i LWP::Protocol::https it will fail, with t/apache....NOK 1 # Failed test at t/apache.t line 14. t/apache....NOK 2 # Failed test at t/apache.t line 15. # 'you need at least Net::SSLeay version 1.33 for getting subjectAltNames at /usr/lib/perl5/site_perl/5.8.8/IO/Socket/SSL.pm line 1702 # ' # doesn't match '(?-xism:Apache Software Foundation)' # Looks like you failed 2 tests of 2. because we have older Net::SSLeay version, and minimal version 1.33 is not mentioned in META.yml


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.